> ## Documentation Index
> Fetch the complete documentation index at: https://docs.erdo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# SendMessageAPI mirrors the erdo_send_message MCP tool.




## OpenAPI

````yaml /api/openapi.json post /v1/threads/{threadID}/send
openapi: 3.0.0
info:
  title: Erdo API
  description: >-
    Erdo's REST API: query and write datasets, run agents, manage threads,
    integrations, pages, evals, workstreams, and experiments. Authenticate with
    a Bearer API key (erdo_api_...) or scoped token (erdo_token_...).
  version: '2026-07-25'
servers:
  - url: https://api.erdo.ai
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/threads/{threadID}/send:
    post:
      summary: |
        SendMessageAPI mirrors the erdo_send_message MCP tool.
      operationId: POST:mcp.SendMessageAPI
      parameters:
        - allowEmptyValue: true
          explode: false
          in: path
          name: threadID
          required: true
          schema:
            type: string
          style: simple
      requestBody:
        content:
          application/json:
            schema:
              properties:
                agent_key:
                  type: string
                async:
                  description: >
                    reply — use it for long operations that would exceed the
                    HTTP/edge timeout. Poll /v1/runs?thread\_id=\<thread\_id>
                    until the run is completed.
                  title: >
                    Async returns as soon as the run is kicked off instead of
                    waiting for the
                  type: boolean
                context:
                  type: string
                message:
                  type: string
                thread_id:
                  type: string
                timezone:
                  type: string
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  answer:
                    type: string
                  error:
                    type: string
                  message_id:
                    type: string
                  status:
                    type: string
                  thread_id:
                    type: string
                type: object
          description: Success response
        default:
          $ref: '#/components/responses/APIError'
components:
  responses:
    APIError:
      content:
        application/json:
          schema:
            externalDocs:
              url: https://pkg.go.dev/encore.dev/beta/errs#Error
            properties:
              code:
                description: Error code
                example: not_found
                externalDocs:
                  url: https://pkg.go.dev/encore.dev/beta/errs#ErrCode
                type: string
              details:
                description: Error details
                type: object
              message:
                description: Error message
                type: string
            title: APIError
            type: object
      description: Error response
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: An Erdo API key (erdo_api_...) or scoped token (erdo_token_...).

````